View Issue Details

IDProjectCategoryView StatusLast Update
0023585LazarusWidgetsetpublic2013-03-08 20:45
ReporterClaudio RomeroAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023585: Under Linux QT, scroll down a dataset not work fine.
Description
When I scroll down a dataset, with mouse or dbnavigator next's button, after some records,
the cursor go to first record.

Under GTK2 and Win32 work fine.

Upload example using a firebird database.
- Edit sql.ini with Database, user and password.
- Open with sql any table with order by an integer field
- scroll down the dataset(after some records, the cursor go to first record)

Maybe only show the fetched records, then back to the first records.

Tested under Salix XFCE 13.37 64 bits
Lazarus 1.1 svn 39757 fpc 2.6.0
Lazarus 1.0.4 fpc 2.6.0

Regards
TagsNo tags attached.
Fixed in Revision40511
LazTarget1.2
WidgetsetQT
Attached Files

Activities

2013-01-04 22:44

 

ErrorQtDataset.7z (12,136 bytes)

Claudio Romero

2013-01-09 19:45

reporter   ~0064764

Is affected by SqlQuery.PacketRecords.
If SqlQuery.PacketRecords:=100 then show more records.

Regards

Claudio Romero

2013-03-08 20:45

reporter   ~0066128

Thanks.

Issue History

Date Modified Username Field Change
2013-01-04 22:44 Claudio Romero New Issue
2013-01-04 22:44 Claudio Romero File Added: ErrorQtDataset.7z
2013-01-04 22:44 Claudio Romero Widgetset => QT
2013-01-08 11:57 Zeljan Rikalo Status new => assigned
2013-01-08 11:57 Zeljan Rikalo Assigned To => Zeljan Rikalo
2013-01-09 19:45 Claudio Romero Note Added: 0064764
2013-03-08 06:52 Jesus Reyes Assigned To Zeljan Rikalo => Jesus Reyes
2013-03-08 06:52 Jesus Reyes Fixed in Revision => 40511
2013-03-08 06:52 Jesus Reyes LazTarget => 1.2
2013-03-08 06:52 Jesus Reyes Status assigned => resolved
2013-03-08 06:52 Jesus Reyes Fixed in Version => 1.1 (SVN)
2013-03-08 06:52 Jesus Reyes Resolution open => fixed
2013-03-08 06:52 Jesus Reyes Target Version => 1.2.0
2013-03-08 20:45 Claudio Romero Note Added: 0066128
2013-03-08 20:45 Claudio Romero Status resolved => closed